/*
    JSiteMap 0.9.0 - A Java Site Map Generator
    Copyright (C) 2003 Pierre Blanc
    Pierre Blanc: blanc_teutoburgo@yahoo.it
    http://www.site-map.tk
    http://it.geocities.com/teutoburgo

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    or go to      http://www.gnu.org/copyleft/gpl.html
*/

package tk.teutoburgo.jsitemap;

import java.util.*;
import java.io.*;

public class Util
{
	public Vector readOptions(String fileName) throws Exception {
		Vector options=new Vector();
		FileInputStream fis2=new FileInputStream(fileName);
		Properties p=new Properties();
		p.load(fis2);
		Enumeration e=p.propertyNames();
		while(e.hasMoreElements()){
			String name=(String)e.nextElement(), type, value=p.getProperty(name);
			if(value.length()<1 || value.charAt(0)=='"'){
				type=JSiteMapApplet.STRING;
				if(value.length()>0)
					value=value.substring(1,value.length()-1);
			} else if(value.charAt(0)=='t' || value.charAt(0)=='f')
				type=JSiteMapApplet.BOOLEAN;
			else
				type=JSiteMapApplet.NUMBER;
			String[] option={name, value, type};
			options.add(option);
//			System.out.println("addin.. "+name+" "+value+" "+type);
		}
		return options;
	}

}
